
onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')
	
	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
	
	event.get('forge:tools')
		.add('natural-progression:bone_knife')
		.add('natural-progression:flint_hatchet')
		.add('endrem:end_crystal_hoe')
		.add('endrem:end_crystal_pickaxe')
		.add('endrem:end_crystal_axe')
		.add('endrem:end_crystal_sword')
		.add('endrem:end_crystal_shovel')
	
	event.get('forge:tools/knives')
		.add('natural-progression:bone_knife')
	
	event.get('forge:tools/hoes')
		.add('endrem:end_crystal_hoe')
	
	event.get('forge:tools/pickaxes')
		.add('endrem:end_crystal_pickaxe')
	
	event.get('forge:tools/axes')
		.add('endrem:end_crystal_axe')
		.add('natural-progression:flint_hatchet')
	
	event.get('forge:tools/sword')
		.add('endrem:end_crystal_sword')
	
	event.get('forge:tools/shovels')
		.add('endrem:end_crystal_shovel')
	
	event.get('farmersdelight:straw_harvesters')
		.add('natural-progression:bone_knife')
	
	event.get('farmersdelight:tools/knives')
		.add('natural-progression:bone_knife')
	
	event.get('forge:ingots/steel')
		.add('steampowered:steel_ingot')
		
	event.get('forge:storage_blocks')
		.add('simplysteel:steel_block')
		.add('minecraft:hay_block')
		.add('farmersdelight:rice_bale')
		.add('farmersdelight:straw_bale')
		.add('farmersdelight:carrot_crate')
		.add('farmersdelight:potato_crate')
		.add('farmersdelight:beetroot_crate')
		.add('farmersdelight:cabbage_crate')
		.add('farmersdelight:tomato_crate')
		.add('farmersdelight:onion_crate')
		.add('endergetic:bolloom_crate')
		.add('alab:emu_egg_crate')
		.add('alab:cockroach_ootheca_crate')
		.add('alab:crocodile_egg_crate')
		.add('neapolitan:banana_crate')
		.add('neapolitan:adzuki_crate')
		.add('neapolitan:roasted_adzuki_crate')
		.add('neapolitan:vanilla_pod_block')
		.add('neapolitan:dried_vanilla_pod_block')
		.add('upgrade_aquatic:scute_block')
		.add('upgrade_aquatic:kelp_block')
		.add('upgrade_aquatic:tongue_kelp_block')
		.add('upgrade_aquatic:thorny_kelp_block')
		.add('upgrade_aquatic:ochre_kelp_block')
		.add('upgrade_aquatic:polar_kelp_block')
		.add('upgrade_aquatic:blue_pickerelweed_block')
		.add('upgrade_aquatic:purple_pickerelweed_block')
		.add('upgrade_aquatic:boiled_blue_pickerelweed_block')
		.add('upgrade_aquatic:boiled_purple_pickerelweed_block')
		.add('minecraft:dried_kelp_block')
		.add('goety:cursed_block')
		.add('goety:frost_block')
		
	event.get('kubejs:plank')
		.add('kubejs:acacia_plank')
		.add('kubejs:birch_plank')
		.add('kubejs:crimson_plank')
		.add('kubejs:dark_oak_plank')
		.add('kubejs:jungle_plank')
		.add('kubejs:oak_plank')
		.add('kubejs:spruce_plank')
		.add('kubejs:warped_plank')
		.add('kubejs:driftwood_plank')
		.add('kubejs:river_plank')
		.add('kubejs:haunted_plank')
		.add('kubejs:poise_plank')
		
	event.get('kubejs:bindings')
		.add('minecraft:string')
		.add('kubejs:fibre_string')
		
	event.get('kubejs:bad_buckets')
		.add('inspirations:beetroot_soup_bucket')
		.add('inspirations:honey_bucket')
		.add('inspirations:mushroom_stew_bucket')
		.add('inspirations:potato_soup_bucket')
		.add('inspirations:rabbit_stew_bucket')
		
	event.get('forge:pebbles')
		.remove('natural-progression:netherrack_pebble')
		.remove('natural-progression:sandstone_pebble')
		.remove('natural-progression:red_sandstone_pebble')
		.add('kubejs:basalt_pebble')
		.add('kubejs:blackstone_pebble')
		
	event.get('forge:bark')
		.add('kubejs:driftwood_bark')
		.add('kubejs:river_bark')
	
	event.get('minecraft:stone_tool_materials')
		.remove('minecraft:cobblestone')
		.remove('minecraft:blackstone')
		.add('natural-progression:stone_pebble')
		.add('natural-progression:andesite_pebble')
		.add('natural-progression:diorite_pebble')
		.add('natural-progression:granite_pebble')
		.add('natural-progression:create_limestone_pebble')
		.add('natural-progression:create_weathered_limestone_pebble')
		.add('natural-progression:create_dolomite_pebble')
		.add('natural-progression:create_gabbro_pebble')
		.add('natural-progression:create_scoria_pebble')
		.add('natural-progression:create_dark_scoria_pebble')
		.add('kubejs:basalt_pebble')
		.add('kubejs:blackstone_pebble')
		
	event.get('forge:plates')
		.add('kubejs:diamond_sheet')
		
	event.get('dynamictrees:fertilizer')
		.add('manure:manure')
		
	event.get('charm:lanterns')
		.add('hardcore_torches:lit_lantern')
		.add('hardcore_torches:unlit_lantern')
		.add('quark:paper_lantern')
		.add('quark:paper_lantern_sakura')
		.add('supplementaries:copper_lantern')
		.add('supplementaries:brass_lantern')
		.add('supplementaries:crimson_lantern')
		.add('upgrade_aquatic:tooth_lantern')
		.add('endergetic:ender_lantern')
		
	//event.get('forge:ores/gold')
	//	.remove('minecraft:nether_gold_ore')
})

onEvent('block.tags', event => {
	event.get('charm:lanterns')
		.add('hardcore_torches:lit_lantern')
		.add('hardcore_torches:unlit_lantern')
		.add('quark:paper_lantern')
		.add('quark:paper_lantern_sakura')
		.add('supplementaries:copper_lantern')
		.add('supplementaries:brass_lantern')
		.add('supplementaries:crimson_lantern')
		.add('upgrade_aquatic:tooth_lantern')
		.add('endergetic:ender_lantern')
		
	event.get('forge:storage_blocks')
		.add('simplysteel:steel_block')
		.add('minecraft:hay_block')
		.add('farmersdelight:rice_bale')
		.add('farmersdelight:straw_bale')
		.add('farmersdelight:carrot_crate')
		.add('farmersdelight:potato_crate')
		.add('farmersdelight:beetroot_crate')
		.add('farmersdelight:cabbage_crate')
		.add('farmersdelight:tomato_crate')
		.add('farmersdelight:onion_crate')
		.add('endergetic:bolloom_crate')
		.add('alab:emu_egg_crate')
		.add('alab:cockroach_ootheca_crate')
		.add('alab:crocodile_egg_crate')
		.add('neapolitan:banana_crate')
		.add('neapolitan:adzuki_crate')
		.add('neapolitan:roasted_adzuki_crate')
		.add('neapolitan:vanilla_pod_block')
		.add('neapolitan:dried_vanilla_pod_block')
		.add('upgrade_aquatic:scute_block')
		.add('upgrade_aquatic:kelp_block')
		.add('upgrade_aquatic:tongue_kelp_block')
		.add('upgrade_aquatic:thorny_kelp_block')
		.add('upgrade_aquatic:ochre_kelp_block')
		.add('upgrade_aquatic:polar_kelp_block')
		.add('upgrade_aquatic:blue_pickerelweed_block')
		.add('upgrade_aquatic:purple_pickerelweed_block')
		.add('upgrade_aquatic:boiled_blue_pickerelweed_block')
		.add('upgrade_aquatic:boiled_purple_pickerelweed_block')
		.add('minecraft:dried_kelp_block')
		.add('goety:cursed_block')
		.add('goety:frost_block')
		
	event.get('kubejs:pickable')
		.add('minecraft:crafting_table')
		.add('minecraft:furnace')
		.add('minecraft:jukebox')
		.add('minecraft:note_block')
		.add('minecraft:enchanting_table')
		.add('#minecraft:anvil')         
		.add('minecraft:loom')
		.add('minecraft:composter')
		.add('minecraft:smoker')
		.add('minecraft:blast_furnace')
		.add('minecraft:cartography_table')
		.add('minecraft:fletching_table')
		.add('minecraft:grindstone')
		.add('minecraft:stonecutter')
		.add('minecraft:fletching_table')
		.add('#minecraft:beehives')
		.add('minecraft:respawn_anchor')
		.add('#forge:storage_blocks')
		.add('minecraft:dispenser')
		.add('minecraft:tnt')
		.add('minecraft:hopper')
		.add('minecraft:dropper')
		.add('minecraft:observer')
		.add('minecraft:lectern')
		.add('minecraft:pumpkin')
		.add('minecraft:carved_pumpkin')
		.add('minecraft:jack_o_lantern')
		.add('minecraft:melon')
		.add('minecraft:brewing_stand')
		.add('minecraft:cauldron')
		.add('survivalist:rack')
		.add('#create:toolboxes')
		.add('#charm:lanterns')
		.add('etched:etching_table')
		.add('etched:album_jukebox')
		
	//event.get('forge:ores/gold')
	//	.remove('minecraft:nether_gold_ore')
})